---
title: 'Taxonomy and Common Language '
custom:
    title: 'Taxonomy and Common Language '
    description: 'Project Fostering a Coherent Nomenclature in the Field of Education and Labour Market '
    contact_email: jobtechdev@arbetsformedlingen.se
    contact_name: 'JobTech Development'
    block_1: "Everyone is talking about lifelong learning and skills supply. We put a great emphasis on developing a common language in a common and interoperable data infrastructure. The learning process becomes more simple, understandable, and easily accessible. It is an important prerequisite for skills supply and development towards a sustainable labour market in a world of constant change. \n\n## Background \nThe project encompasses four major directions. They are interconnected and based on previous pilot projects and APIs. The purpose of this wide-ranging project is to foster and explore ways of linking employment, education, and skills. At present, there is a nomenclature, which we refer and use as the concept taxonomy. A multidisciplinary team at JobTech Development is working further on contributing and developing this nomenclature to link it to current employment and educational purposes given the lifelong learning approach. The four directions as it follows:\n\n1. Enrich vocabulary in nomenclature with, for example, new occupations, skills, terms (having a character of synonym), and search terms that can be used in job advertisements, in a CV (curriculum vitae) and education programs;\n2. Contribute to better matching between employment and vocational and academic education; \n3. Mapping how existing education programs can fit the need between workforce and competences on the labour market;\n4. Investigating further on how to contribute and develop a common nomenclature for competences, qualifications, search terms. \n\n\n## The area of research \n\n**API Jobtech Taxonomy**<BR>\nFollowing the rapid change on the labour market, new occupations and skills emerge while others disappear. The purpose of using [API Taxonomy](https://jobtechdev.se/en/components/jobtech-taxonomy) is to collect, structure and make available concepts and terms, which are used on the Swedish labour market, such as occupations and skills/competences. The nomenclature’s content undergoes a continuous update, following quality assurance on an ongoing basis, in collaboration with diverse industries. Our technical solutions and standards for language reduce, and even avoid time-consuming manual handling and updating, while getting a more accurate matchmaking. \nThe nomenclature’s content expands, polishes, and proofreads continuously with updated information from diverse unemployment insurance funds, thousands of new search terms, as well as connections to the European Skills/Competences, qualifications, and Occupations ([ESCO](https://ec.europa.eu/esco/portal/home?resetLanguage=true&newLanguage=en)). [TRR](https://www.trr.se/summary-in-english/) is on its way to connect to the new nomenclature’s solutions. TRR is an organization, which offers assistance to employees, employers, and trade union representatives in the private sector, affected by redundancy. \n    \n**Concept recognition and nomenclature**<BR>\nThe nomenclature can and should facilitate the fit between job candidate and education; it can make the education programs easily accessible and searchable for the applicant too. In order to make it possible, we would like to link the terms and concepts in the nomenclature to course descriptions in those cases they appear. \n\nTherefore, we are focusing on an area, the so-called concept recognition, which means that a text of interest is analysed in a manual way, so words or parts of sentences from the text are linked to concepts and terms in the nomenclature. In scientific research, it is known as \"semantic annotation\" or \"concept recognition\" and it is used in biomedicine, among others. With relation to this method, those texts, which are relevant and interesting to be analysed, are the description of education programs and curriculum syllabus. Furthermore, we are working with the concept recognition in a specific context, taking into consideration on which occasion the concepts occur: is the concept an entry requirement, a learning method (goal and/or outcome) or something else?\n\nThere are several areas where analysis for concept recognition can be put into practice for the description of education programs. An example is a candidate, who doesn’t possess all the professional skills needed to meet the requirements for a particular job. If the skills, which are missing, could be found in corresponding concepts of the nomenclature, one can find the description of the education program, which to a greater extend describe the learning objectives. It will be easy too to find similar education programs, based on what extend the nomenclature’s concepts of two different educations overlap. By representing the description of the education programs, with the assistance of precise definitions of the nomenclature’s concepts, a more concrete connotation of the text is captured, and it facilitates further the searching and matching parameters. \n\n**Techniques for concept recognition can be roughly divided into two groups:** <BR>\n1. methods based on machine learning \n2. methods based on matching text strings\n\nMethods based on machine learning can be effective, given the fact that they are “fueled” with enough data. However, preparing this data for usage is a time-consuming task. Therefore, methods based on direct comparison of text strings are also of interest since they do not require the same labour-intensive approach to prepare the data. It is of particular interest for machine learning the so-called BERT and Sentence-BERT, which are algorithms for numerically coding the meaning of written text. It is worth mentioning that BERT has previously been used in relation to creating translation keys between the conceptual structures and the labour market. [The National Library of Sweden](https://www.kb.se/in-english.html) has made public openly trained BERT models for the Swedish language. \n    \nThe project is investigating different methods for recognizing concepts in descriptions of education programs, so they can be easily searchable and give proper and relevant match. The project is looking at mathematical representations of nomenclature to further facilitate the search, matching and indexing of concepts. In addition, tools are to be built to measure how effective a method for concept recognition is and thereafter we can evaluate each method and choose the one which serves its purpose best. \n    \n## Pilot project  \n**Micro-credentials and EU cooperation**<BR>\nTogether with the Swedish Higher Vocational Education ([HVE](https://www.myh.se/in-english)) and Research Institutes of Sweden ([RISE](https://www.ri.se/en)), the project is developing a proposal for a Swedish common standard for micro-credentials. Diverse authorities and industries will be included in the follow-up work. The project follows avidly the ongoing work within EU in developing European standards for quality and transparency. A micro-credential is a qualification evidencing learning outcomes acquired through a short learning experience (course or module). By certifying a wide range of learning experiences (including higher and vocational education and training, adult education, work experience and other relevant voluntary activities), micro-credentials are inclusive form of learning, allowing the targeted acquisition of skills and competences. They can refer to the building blocks of lifelong learning opportunities, enabling individuals to educate themselves, upskill and reskill to meet labour market needs, to ensure continued personal, social, and professional development, as well as to boost employability. Micro-credentials are potentially a way to manage the gap between skills demand and supply on a labour market in a constant change by ensuring and offering flexible and modular learning paths and experiences. \n    \n**Education data from the Swedish Higher Vocational Education (HVE) and the Swedish National Agency for Education **<BR>\nThe initial work is still in a phase of area of research, where a team at Jobtech Development is looking at education data from HVE and the [Swedish National Agency for Education](https://www.skolverket.se/andra-sprak-other-languages/english-engelska). The purpose is to map education programs, which correspond the labour market’s needs and thus further follow up which of them lead to employment. In a long-term perspective, all available educational data is to be used gradually to match the concepts in education programs, linked to the nomenclature.  \n    \n**Search terms, qualifications, and competences** <BR>\nA lot of work has been done in developing concepts, used in the labour market’s digital services, as well as its quality assurance. However, a broad and solid structure is missing, especially describing skills and how they relate to the various components of the lifelong learning process, including education programs and qualifications. Thus, the ongoing work is to focus to explore how current data sets in the nomenclature are suitable for describing the various components and mapping how optional future improvements could look like.  Therefore, we will be participating in an exploratory pilot project to map ESCO's competencies to formal qualifications (for example higher vocational education) and non-formal ones (ex. those educations, run out of the formal education system, but in any kind of proven, outlined form, such as vocational qualifications). \n    \n**Technology **<BR>\nWithin the government assignment to develop a coherent data infrastructure for skill supply and lifelong learning and its diverse projects, we can get valuable knowledge and benefit from new research, done in recent years. The outcome will be outlined among others by diverse language models, based on machine learning and the so-called \"deep learning\". The latter is used to analyse and understand written text. In many cases, it is possible to use an existing general language model, which is adapted to serve a specific purpose. In order to build and adapt language models, large amounts of data are often needed. An editorial team at JobTech Development is dedicated to work with quality assurances of data, which can be used with these models. Once, the data is undergone a quality check, it could be made available for other actors. Furthermore, this data can be used for building services and products, which promote the benefits of lifelong learning. \n\n_*nomenclature refers broadly to taxonomy_\n    \n![Goal 8.6](https://jobtechdev.se/user/pages/02.components/14.digital-vaegledning-och-laenkad-data/GOAL_8_TARGET_8.6.png)\n![Goal 17.6](https://jobtechdev.se/user/pages/02.components/14.digital-vaegledning-och-laenkad-data/GOAL_17_TARGET_17.6.png)\n![Goal 17.18](https://jobtechdev.se/user/pages/02.components/14.digital-vaegledning-och-laenkad-data/GOAL_17_TARGET_17.18.png)\n\n_The project contributes to Sustainable Development Goals (SDGs) goals and targets: 8.6, 17.6, 17.18_"
    block_2: "## ”Knowledge of languages is the doorway to wisdom.” \nRoger Bacon, English Franciscan philosopher and educational reformer\n"
    product_info:
        -
            title: 'Start of project'
            value: 'June 2021'
        -
            title: 'End of project'
            value: 'January 2024'
    menu:
        -
            title: Forum
            url: 'https://forum.jobtechdev.se/c/vara-projekt/taxonomi-och-begreppsstruktur/38'
            showInShort: '1'
taxonomy:
    category:
        - Project
    type:
        - 'Open research'
---

